declare abstract class ChildrenSorterStrategy {
    abstract computeChildrenIdByHeights(treeSet: any, node: any): any;
    abstract computeOffsets(treeSet: any, node: any): any;
    abstract insert(treeSet: any, parent: any, child: any, order: any): any;
    abstract detach(treeSet: any, node: any): any;
    abstract predict(treeSet: any, parent: any, node: any, position: any, free: any): any;
    abstract verify(treeSet: any, node: any): any;
    abstract getChildDirection(treeSet: any, node: any): any;
    abstract toString(): any;
}
export default ChildrenSorterStrategy;
